Bug 195302

Summary: Missing lib32 on freebsd-update to 10.1-RELEASE
Product: Base System Reporter: dal36
Component: binAssignee: Dag-Erling Smørgrav <des>
Status: Closed FIXED    
Severity: Affects Many People CC: daniel, denylis, des, harrison.grundy, vans9
Priority: ---    
Version: 10.1-RELEASE   
Hardware: Any   
OS: Any   

Description dal36 2014-11-23 11:55:23 UTC
I've updated one of my machines from 10.0-RELEASE-p12 (amd64) to 10.1-RELEASE using freebsd-update and found that the usual contents of /usr/lib32 were missing afterwards.

I've reproduced this twice now, using the following process on a fresh install of FreeBSD 10.0-RELEASE (amd64), after having selected all optional items (including lib32) in the installer:

# freebsd-update fetch install
# reboot
# freebsd-update -r 10.1-RELEASE upgrade
# freebsd-update install
# reboot
# freebsd-update install
# reboot
# freebsd-update install
# reboot

After the first invocation of freebsd-update install, /usr/lib32 contains a large number of library files (i.e. as I would expect), but after the second invocation, it only contains the following three folders (all empty):

dtrace   i18n   private

Note that freebsd-update -r 10.1-RELEASE listed world/lib32 amongst the installed components when following this process; the 'not installed' part of the listed components was empty.

Note also that the second run of this process was done ~24 hours after this message regarding issues with freebsd-update:
http://lists.freebsd.org/pipermail/freebsd-stable/2014-November/080996.html

This has been discussed in the FreeBSD forums, at the following threads:
https://forums.freebsd.org/threads/10-0-10-1-upgrade-emptied-lib32.49103/
https://forums.freebsd.org/threads/missing-lib32-on-freebsd-update-to-10-1-release.49031/

Please let me know if there's any further info that will help with investigating this.
Comment 1 vans9 2014-11-24 13:50:34 UTC
I confirm this problem. Lost /usr/lib32 while updating 10.0-RELEASE-p12 amd64 -> 10.1-RELEASE.
Comment 2 Denulis 2014-11-24 13:59:59 UTC
I confirm this problem. Upgrade from 10.0 RELEASE (p10) adm64 to 10.1.
Comment 3 Dag-Erling Smørgrav freebsd_committer 2014-12-14 01:31:22 UTC
Confirmed.  We are trying to figure out how to best solve this.  Expect an errata notice in the near future.
Comment 4 Harrison Grundy 2015-01-06 06:48:29 UTC
lib32 has now been added to freebsd-update for 10.1-RELEASE, see FreeBSD-EN-14:13.freebsd-update